# Config

### license\_key

Your Blood license key.

### stats\_interval

Time in seconds between every 2 logs containing amount of requests sent.

### port

Port to run the server on (you can leave default one 9182).

{% hint style="warning" %}
You have to use **multiple folders** and **different ports** if you want to use multiple Bloodline configurations.
{% endhint %}

### defaults

List of RPCs that will be used for all unassigned methods. Format is `['1','2']`

### RPCs

RPC list.

```toml
# Format and Example
rpc1 = 'http://rpc1link.com/'
rpc2 = 'http://rpc2link.com/'
rpc3 = 'http://rpc3link.com/'
```

### methods

Methods' names and RPC list for each.

```toml
# Format and Example
getBalance = ['rpc1','rpc2']
sendTransaction = ['rpc3']
getProgramAccounts = ['rpc1','rpc3']
```

{% hint style="success" %}
Some of Blood features require heavy **GPA calls** (for example check `top_n_holders`), we recommend to specify all following methods:

* getAccountInfo&#x20;
* getBalance&#x20;
* getLatestBlockhash&#x20;
* getTokenAccountBalance (GPA call)
* sendTransaction&#x20;
* getProgramAccounts (GPA call)

For `getBalance` recommended to use RPCs which are not used for sending transactions, this way you will always have up-to-date data and 0 pressure on that RPC. You can even take Helius free plan for it.
{% endhint %}

### rate\_limits

You can specify rate limit for every written earlier node.

```toml
# Format and Example
rpc1 = 100
rpc2 = 250
rpc3 = 50
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bloodydash.xyz/addons/bloodline/config.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
